Lumaktaw sa nilalaman

Emu 3.5 Image · Edit Image

I-integrate

ID ng modelo emu-3.5-image/edit-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/emu-3.5-image/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kahilingang ito: $0.30 300 kredito ng API Patakbuhin ito sa page na ito

Kumuha ng API key
BAAI Pag-edit ng Larawan hanggang 720p

Nag-e-edit ng input na larawan mula sa teksto prompt, na may 480p o 720p na output at opsyon na auto aspect ratio

BAAI · Larawan

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan

Prompt na naglalarawan sa mga edit ng larawan.

•kinakailangan image_url
Mag-drop ng file, o

Larawang ibinigay para sa pag-edit.

resolution default na 720p

Resolution ng resultang larawan.

aspect_ratio default na auto

Aspect ratio ng resultang larawan.

advanced output_format · seed · enable_safety_checker
output_format default na png

File format ng resultang larawan.

Seed na ginagamit habang inference.

POST /run/emu-3.5-image/edit-image?wait=20 presyo → $0.30
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/emu-3.5-image/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa Emu 3.5 Image · Edit Image

Tumatanggap ng `image_url` at edit na `prompt` at nagbabalik ng binagong larawan. Ang `resolution` ay 480p o 720p, at maaaring manatili sa auto ang `aspect_ratio` o itakda mula 21:9 hanggang 9:21. Maaaring png, jpeg o webp ang output, at maaaring magtakda ng `seed` para sa nauulit na run.

Mga parameter

Ipadala ang canonical na pangalan o ang native na pangalan, hindi pareho. Mga canonical na pangalan

PangalanUri defaultPinapayagan Paglalarawan
promptkinakailangan
Uristring
Prompt na naglalarawan sa mga edit ng larawan.
resolutionopsyonal
Urienum
default720p
480p720p
Resolution ng resultang larawan.
aspect_ratioopsyonal
Urienum
defaultauto
auto21:916:94:33:21:12:33:49:169:21
Aspect ratio ng resultang larawan.
enable_safety_checkeropsyonal
Uriboolean
defaulttrue
Kinokontrol kung pinapagana ang safety checking.
seedopsyonal
Uriinteger | null
Seed na ginagamit habang inference.
output_formatopsyonal
Urienum
defaultpng
jpegpngwebp
File format ng resultang larawan.
image_urlkinakailangan image
Uriurl · image
Larawang ibinigay para sa pag-edit.
kinakailangan Canonical na pangalan, tinatanggap din

Tumatanggap ang mga parameter ng file ng pampublikong https:// URL, data: URI na hanggang 10 MB, o file_url ng isang upload. Mga file

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "emu-3.5-image/edit-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
images
array of object {url, content_type, file_name, file_size, width, height}Larawang resulta ng pag-edit.
seed
integerSeed na ginagamit habang inference.

Higit pang modelo: Pag-edit ng Larawan

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/emu-3.5-image/edit-image.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt